=== debian/control ===
Source: plotsauce
Section: libs
Priority: optional
Maintainer: Wookey <wookey@debian.org>
Build-Depends: debhelper-compat (= 12), qbs, pkg-config, qtbase5-dev, dh-exec, libqmath3d-dev, zlib1g-dev
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://github.com/Cavewhere/plotsauce
Vcs-Browser: https://salsa.debian.org/wookey/plotsauce
Vcs-Git: https://salsa.debian.org/wookey/plotsauce.git

Package: plotsauce
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Survex 3d file to XML converter
 Qt-based utility to convert Survex 3d files (cave survey data) 
 into XML.
