=== debian/watch ===
version=4

# GitHub hosted project
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%plotsauce-$1.tar.gz%" \
   https://github.com/Cavewhere/plotsauce/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
